Subject: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Alan Third <[email-masked]>
Date: Fri, 22 Nov 2019 09:50:08 +0000

On Thu, Nov 21, 2019 at 10:26:30PM +0100, Lars Ingebrigtsen wrote:
> 
> You get the same effect by altering the scaling factor, I think?  Each
> scaled image is cached?  So by rolling the wheel ten clicks you get ten
> cached copies of the image.
> 
> A better eviction algorithm would be nice.

It would be nice if Emacs was able to reuse the actual image data
where the only difference is scaling or rotation.

A simple ‘solution’ to the mousewheel scaling issue would be to
explicitly flush the old image from the cache on each change. I think
that’s what image mode does when you zoom.
-- 
Alan Third